import { useUserStore } from "~/store/user"

export default defineNuxtRouteMiddleware((to, from) => {
  const user = useUserStore()
  if (!user.username && to.path !== '/login') {
    return navigateTo('/login')
  }
})