import fs from 'fs'
import path from 'path'

export function readJson(path: string): Record<string, any> {
  try {
    const text = fs.readFileSync(path, { encoding: 'utf-8'})
    const obj = JSON.parse(text)
    return obj
  } catch (err) {
    return {}
  }
}

export function writeJson(path: string, obj: Record<string, string>) {
  fs.writeFileSync(
    path,
    JSON.stringify(obj, null, 2)
  )
}